{% extends 'base.html.twig' %}

{% block title %}Blog index{% endblock %}

{% block body %}
    <h1>test</h1>
    <div class="row mb-2">

        {% for blog in blogs %}
        <div class="col-md-6 col-12 col-sm-12">
            <div class="card flex-md-row mb-4 box-shadow h-md-250">
                <div class="card-body d-flex flex-column align-items-start">
                    <h3 class="mb-0">
                        <a class="text-dark" href="#">{{ blog.titre }}</a>
                    </h3>
                    <div class="mb-1 text-muted">{{ blog.createdate|date('M y') }}</div>
                    <p class="card-text mb-auto">{{ blog.texte|u.truncate(150, '...', false) }}</p>
                    <a href="{{ path("blog_show", {"slug":blog.slug} ) }}">Continue reading</a>
                </div>
                <img class="card-img-right flex-auto d-none d-md-block" src="uploads/{{blog.photo}}"
                     alt="Card image cap">
            </div>
        </div>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
    </div>
{% endblock %}